<!--<div *ngIf="loading">-->
  <!--<app-loader></app-loader>-->
<!--</div>-->
<script src="../../_nav.ts"></script>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-6" *ngIf="dataUser.role==='AGT'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>STATUS KEANGGOTAAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-user bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-5 font-xs font-weight-bold text-muted">
              <table>
                <tbody>
                <tr>
                  <td>No. Anggota</td>
                  <td class="p-2">:</td>
                  <td>{{ dataUser.nomorAnggota }}</td>
                </tr>
                <tr>
                  <td>Tgl. Gabung</td>
                  <td class="p-2">:</td>
                  <td>{{ dataUser.tanggalRegistrasi | date: 'dd MMM yyyy' }}</td>
                </tr>
                </tbody>
              </table>
            </div>
            <div class="col-sm-5 font-xs font-weight-bold text-muted">
              <table>
                <tbody>
                <tr>
                  <td>Nama</td>
                  <td class="p-2">:</td>
                  <td>{{ dataUser.nama }}</td>
                </tr>
                <tr>
                  <td>Status</td>
                  <td class="p-2">:</td>
                  <td>{{ dataUser.statusAnggota | statusAnggota }}</td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="goToProfile(dataUser.nomorNik)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='HRD'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>STATUS KEANGGOTAAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-user bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-xs font-weight-bold text-muted">
              <table>
                <tbody>
                <tr>
                  <td>Nama Perusahaan</td>
                  <td class="p-2">:</td>
                  <td>{{ dataUser.namaPerusahaan }}</td>
                </tr>
                <tr>
                  <td>Nama Konfederasi</td>
                  <td class="p-2">:</td>
                  <td>{{ dataUser.namaKonfederasi }}</td>
                </tr>
                <tr>
                  <td>Tgl. Gabung</td>
                  <td class="p-2">:</td>
                  <td>{{ tanggalRegistrasi | date: 'dd MMM yyyy' }}</td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="goToProfile(dataUser.nomorNik)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='AGT'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>SISA HASIL USAHA</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-handshake-o bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{0 | number}}
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='HRD' || dataUser.role==='PENGAWAS' || dataUser.role==='ADM'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>JUMLAH ANGGOTA</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-users bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-xs font-weight-bold text-muted">
              <table>
                <tbody>
                <tr>
                  <td>Anggota Baru</td>
                  <td class="p-2">:</td>
                  <td>{{ totalAnggotaBaru | number }}</td>
                </tr>
                <tr>
                  <td>Anggota Aktif</td>
                  <td class="p-2">:</td>
                  <td>{{ totalAnggotaAktif | number }}</td>
                </tr>
                <tr>
                  <td>Anggota Non Aktif</td>
                  <td class="p-2">:</td>
                  <td>{{ totalAnggotaNonAktif | number }}</td>
                </tr>
                <tr>
                  <td>Total Anggota</td>
                  <td class="p-2">:</td>
                  <td>{{ totalAnggota | number }}</td>
                </tr>
                <!--<tr *ngIf="dataUser.role==='HRD'"><br><br>-->
                <!--</tr>-->
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="goToDataAnggota(dataUser.kodePerusahaan)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='AGT'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>SIMPANAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-suitcase bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpanan | number}}
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="gotoSimpanan(dataUser.nomorAnggota, dataUser.nama, dataUser.kodePerusahaan)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='HRD' || dataUser.role==='PENGAWAS' || dataUser.role==='ADM'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>PENGAJUAN PINJAMAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-clipboard bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div *ngIf="dataUser.role==='HRD'" class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{totalPengajuanBaru | number}}
            </div>
            <div *ngIf="dataUser.role==='PENGAWAS'" class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{totalPengajuanApproveHrd | number}}
            </div>
            <div *ngIf="dataUser.role==='ADM'" class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{totalPengajuanApprovePengawas | number}}
            </div>
          </div>
          <br *ngIf="dataUser.role==='ADM'">
          <br *ngIf="dataUser.role==='ADM'">
        </div>
        <div class="card-footer px-3 py-2" (click)="gotoPengajuanPinjaman(dataUser.nomorNik, dataUser.nama)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='HRD' || dataUser.role==='PENGAWAS' || dataUser.role==='ADM'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>PENGAJUAN PENARIKAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-clipboard bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div *ngIf="dataUser.role==='HRD'" class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{totalPenarikanBaru | number}}
            </div>
            <div *ngIf="dataUser.role==='PENGAWAS'" class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{totalPenarikanApproveHrd | number}}
            </div>
            <div *ngIf="dataUser.role==='ADM'" class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{totalPenarikanApprovePengawas | number}}
            </div>
          </div>
          <br *ngIf="dataUser.role==='ADM'">
          <br *ngIf="dataUser.role==='ADM'">
        </div>
        <div class="card-footer px-3 py-2" (click)="gotoPengajuanPenarikan(dataUser.nomorNik, dataUser.nama)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6"  *ngIf="dataUser.role!=='AGT'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>PINJAMAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-money bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-xs font-weight-bold text-muted">
              <table>
                <tbody>
                <tr>
                  <td>Lunas</td>
                  <td class="p-2">:</td>
                  <td>{{ totalPinjamanLunas | number }}</td>
                </tr>
                <tr>
                  <td>Belum Lunas</td>
                  <td class="p-2">:</td>
                  <td>{{ totalPinjaman | number }}</td>
                </tr>
                <tr>
                  <td>Total Pinjaman</td>
                  <td class="p-2">:</td>
                  <td>{{ totalPinjamanLunas + totalPinjaman | number }}</td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="gotoPinjaman(dataUser.nomorAnggota, dataUser.nama)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='AGT'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>SISA PINJAMAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-handshake-o bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{sisaPinjaman | number}}
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="gotoPinjaman(dataUser.nomorAnggota, dataUser.nama)">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='HRD'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>FEE PERUSAHAAN</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-dollar bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-3xl font-weight-bold text-muted mt-3">
              {{0 | number}}
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="goToFeePerusahaan()">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
    <div class="col-lg-6" *ngIf="dataUser.role==='ADM'">
      <div class="card card-accent-success">
        <div class="card-header">
          <div class="text-value-sm text-success"><strong>REKAP SALDO</strong></div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-2">
              <i class="fa fa-dollar bg-success p-3 font-2xl mr-3 mt-2"></i>
            </div>
            <div class="col-sm-10 font-xs font-weight-bold text-muted">
              <table *ngIf="dataUser.role==='ADM'">
                <tbody>
                <tr *ngFor="let data of listRekap">
                  <td>{{data.ketKas}}</td>
                  <td class="p-2">:</td>
                  <td>{{ data.nominal | number }}</td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="card-footer px-3 py-2" (click)="gotoLaporanSaldo()">
          <a class="btn-block text-muted d-flex justify-content-between align-items-center" href="javascript:void(0);">
            <span class="small font-weight-bold">View More</span>
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
      </div>
    </div>
  </div>
</div>

<!--&lt;!&ndash; Trigger the Modal &ndash;&gt;-->
<!--<img id="myImg" [src]="linkImage + '/informasi/' + selectedIdImage + '.jpg'" alt="Snow" style="width:100%;max-width:300px">-->

<!--&lt;!&ndash; The Modal &ndash;&gt;-->
<!--<div *ngIf="isModalShown" id="myModal" class="modal">-->

  <!--&lt;!&ndash; The Close Button &ndash;&gt;-->
  <!--<span class="close" (click)="onHidden()">&times;</span>-->

  <!--&lt;!&ndash; Modal Content (The Image) &ndash;&gt;-->
  <!--<img class="modal-content" id="img01">-->

  <!--&lt;!&ndash; Modal Caption (Image Text) &ndash;&gt;-->
  <!--<div id="caption"></div>-->
<!--</div>-->

<div *ngIf="isModalShown" [config]="{ show: true, backdrop: 'static'}" bsModal #autoShownModal="bs-modal"
     class="modal fade" id="imageModal" tabindex="-1" role="dialog" aria-labelledby="imageModalLabel" aria-hidden="true">
  <div class="modal-dialog" data-dismiss="modal" role="banner">
    <div class="modal-content">
      <!--<div class="modal-header">-->
        <!--<h4 class="modal-title"></h4>-->
        <!---->
      <!--</div>-->
      <div class="modal-body" style="padding: 0 !important;">
        <button type="button" class="close" (click)="onHidden()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <div class="box text-center">
          <img class="img-fluid" [src]="linkImage + '/informasi/' + selectedIdImage + '.jpg'"
               (error)="onHidden()" alt=""  style="height: 92vh;">
        </div>
      </div>
    </div>
  </div>
</div>
